import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.io.IOException;

import quadbase.ChartAPI.QbChart;
import quadbase.util.IDataLine;
import quadbase.util.IDataLineSet;
import quadbase.util.IDataPointSet;
import quadbase.util.IHorzVertLine;

public class DataLineExtraOptions extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			DataLineExtraOptions chart = new DataLineExtraOptions();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.addDataLines(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", addDataLines(this));
	}

	Component addDataLines(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"SalesByCustomerID.pac"); // template

	    IDataLineSet hDataLines = chart.gethDataLines();
	    IHorzVertLine hLineA = hDataLines.newHorzVertLine(IHorzVertLine.VERTICAL_LINE, "hLineA");
	    hLineA.setLineValue(18); // the value on X-Axis
	    hLineA.setLineFromValue(36878); // the value on Y-Axis, by default, this is minimum value of Y-Axis
	    hLineA.setLineToValue(320397);  // the value on Y-Axis, by default, this is maximum value of Y-Axis
	    hLineA.setThickness(1);
	    hLineA.setLineStyle(IDataLine.DOTTED_STYLE);
	    hLineA.setColor(new Color(120, 120, 120));
	    hLineA.setTitleVisibleInLegend(false);
	    hDataLines.add(hLineA);
	    
	    IHorzVertLine hLineB = hDataLines.newHorzVertLine(IHorzVertLine.HORIZONTAL_LINE, "hLineB");
	    hLineB.setLineValue(320397); // the value on Y-Axis
	    hLineB.setLineFromValue(6); // the value on X-Axis, by default, this is minimum value of X-Axis
	    hLineB.setLineToValue(18);  // the value on X-Axis, by default, this is minimum value of X-Axis
	    hLineB.setThickness(1);
	    hLineB.setLineStyle(IDataLine.DASH_STYLE);
	    hLineB.setColor(new Color(120, 120, 120));
	    hLineB.setTitleVisibleInLegend(false);
	    hDataLines.add(hLineB);
	    
	    String filename = "SalesByCustomerID_exported";
	    try {
			chart.export(QbChart.PNG, filename);
			chart.export(QbChart.PAC, filename);
		} catch (IOException e) {
			e.printStackTrace();
		}
	   
		// Show chart in Viewer
		return chart;

	}

}
